Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#58974 closed defect (worksforme)

mysql57 fails to upgrade

Reported by: angelog0 (Angelo Graziosi) Owned by:
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port:

Description

Today:

$ sudo port selfupdate
Password:
--->  Updating MacPorts base sources using rsync
MacPorts base version 2.5.4 installed,
MacPorts base version 2.5.4 downloaded.
--->  Updating the ports tree
--->  MacPorts base is already the latest version

The ports tree has been updated. To upgrade your installed ports, you should run
  port upgrade outdated

$ sudo port outdated
The following installed ports are outdated:
clamav                         0.101.4_0 < 0.101.4_1
curl                           7.65.3_0 < 7.65.3_1
curl-ca-bundle                 7.65.3_0 < 7.65.3_1
cyrus-sasl2                    2.1.27_1 < 2.1.27_2
davix                          0.7.5_0 < 0.7.5_1
git                            2.23.0_0 < 2.23.0_1
kerberos5                      1.17_0 < 1.17_1
lftp                           4.8.4_2 < 4.8.4_3
libnetpbm                      10.87.01_0 < 10.87.02_0
mysql57                        5.7.27_0 < 5.7.27_1
netpbm                         10.87.01_0 < 10.87.02_0
openldap                       2.4.48_0 < 2.4.48_1
openssl                        1.0.2s_0 < 1.1.1c_0
opusfile                       0.11_0 < 0.11_1
p5.26-net-ssleay               1.880.0_0 < 1.880.0_1
postgresql94                   9.4.24_0 < 9.4.24_1
postgresql96                   9.6.15_0 < 9.6.15_1
python27                       2.7.16_1 < 2.7.16_2
python37                       3.7.4_0 < 3.7.4_1
qt4-mac                        4.8.7_8 < 4.8.7_9
qt5-qtbase                     5.12.4_1 < 5.12.4_2
root6                          6.18.02_0 < 6.18.02_3
ruby24                         2.4.6_0 < 2.4.6_1
wget                           1.20.3_1 < 1.20.3_2
xar                            1.6.1_0 < 1.6.1_1
xrootd                         4.10.0_0 < 4.10.0_1

$ sudo port upgrade outdated
[...]
--->  Configuring mysql57
Error: mysql57 cannot be built while boost is active.
Error: Please forcibly deactivate boost, e.g. by running:
Error:
Error:     sudo port -f deactivate boost
Error:
Error: Then try again. You can reactivate boost again later.
Error: Failed to configure mysql57: boost is active
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_databases_mysql57/mysql57/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
[...]

A few days ago there was the same issue for poppler. BTW, boost is not listed between the packages should be upgraded..

Change History (4)

comment:1 Changed 3 years ago by Schamschula (Marius Schamschula)

After deactivating boost, mysql57 also asked me to deactivate protobuf3-cpp,

--->  Configuring mysql57
Error: mysql57 cannot be built while protobuf3-cpp is active.
Error: Please forcibly deactivate protobuf3-cpp, e.g. by running:
Error: 
Error:     sudo port -f deactivate protobuf3-cpp
Error: 
Error: Then try again. You can reactivate protobuf3-cpp again later.
Error: Failed to configure mysql57: protobuf3-cpp is active
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_databases_mysql57/mysql57/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.

I did so, ran sudo port upgrade mysql57 and reactivated boost and protobuf3-cpp and all is well.

comment:2 Changed 3 years ago by kencu (Ken)

glad to hear!

comment:3 Changed 3 years ago by kencu (Ken)

Resolution: worksforme
Status: newclosed

comment:4 Changed 3 years ago by angelog0 (Angelo Graziosi)

glad to hear!

It should not fails asking the user to force the activation of a port (that the user have to re-activate manually). It is not a clean procedure...

Note: See TracTickets for help on using tickets.